Gracias por comentar.

Este Blog cuenta con detección automática de spam para los comentarios. Además, hasta que yo no los lea no se publicaran...

Buscar en este blog

domingo, 7 de septiembre de 2008

Depues de instalar Ubuntu (3). El Cortafuegos

Ahora el Cortafuegos. Yo uso Firestarter que es gratuito y Open Source, totalmente gráfico y está traducido al español.
Se instala desde Synaptic. Para ello ir a Sistema >> Administración >> Gestor de paquetes Synaptic >> Buscar >> firestarter seleccionar el paquete firestarter con el boton derecho del ratón o con la tecla espacio y Aplicar.
Pero, en Linux suele haber un pero. Firestarter no arranca. A algunos (como a mi) les da el siguiente mensaje de error “el dispositivo eth0 no esta preparado”.
Al parecer existe un problema entre Firestarter y el administrador de redes, y una manera de solucionarlo es editando un archivo como administrador y cambiar una linea de este archivo.

Para abrir el archivo copia y pega (en la consola se pega con el botón derecho del ratón) o escribe lo que sigue en una consola o Terminal:

gksu gedit /etc/firestarter/firestarter.sh


El verdadero problema está la línea que aparece al principio del script firestarter.sh que dice:

MASK=`/sbin/ifconfig $IF | grep Mas | cut -d : -f 4`

Simplemente cambiando la línea anterior por lo que sigue se soluciona el problema.

MASK=`/sbin/ifconfig $IF | grep Más | cut -d : -f 4`

La única diferencia entre una linea y otra es el acento en la palabra Más.



Estos son los manuales que seguí:

http://www.kriptopolis.org/firestarter

http://lagneuronal.wordpress.com/2007/12/05/firestarter-no-te-arranca/

Configurar Firestarter para aMule (eMule en Linux):

http://www.ajpdsoft.com/modules.php?name=News&file=article&sid=267

No hay comentarios: